Bug 591628 - No login manager displayed when using Dell docking station.
No login manager displayed when using Dell docking station.
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: kernel (Show other bugs)
6.0
i386 Linux
low Severity high
: rc
: ---
Assigned To: Jérôme Glisse
desktop-bugs@redhat.com
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-12 13:51 EDT by Stan Showers
Modified: 2010-11-15 09:25 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-11-15 09:25:01 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Stan Showers 2010-05-12 13:51:59 EDT
Description of problem:
RHEL 6 Beta (4-14-2010) installs fine on Dell Latitude D810 with ATI Mobility Radeon x600.  But when placed in docking station, after boot, there is no login manager.  Boot graphics are fine.  Backdrop graphics to the login screen are fine. Mouse pointer is visible.  CTRL-ALT-F8 gives black screen with small flashing dash at top left of screen.  CTRL-ALT-F3 gives high resolution shell.



Version-Release number of selected component (if applicable):
?

How reproducible:
Always

Steps to Reproduce:
1. Install fresh RHEL 6 Beta 4-14-2010 default software development packages.
2. Shutdown.
3. Place laptop in docking station and power-on.
  
Actual results:
Unable to use docking station with Dell laptop.  Graphical login not displayed - backdrop graphics and mouse pointer are displayed.

Expected results:
Should work.  Fedora 9/10 worked fine with both GDM and KDM.

Additional info:
Similar situation with Fedora12 but it is interesting to note that if the /etc/X11/xorg.conf is moved (deleted), although the xorg.conf (unexpectedly) is not re-created, the login screen is fine and user login to GNOME desktop is successful while using the docking station.  Even more interesting, this method of logging in while docked only works once.
Comment 2 RHEL Product and Program Management 2010-05-12 15:28:15 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.
Comment 3 Matěj Cepl 2010-05-17 19:17:24 EDT
(In reply to comment #0)
> Similar situation with Fedora12 but it is interesting to note that if the
> /etc/X11/xorg.conf is moved (deleted), although the xorg.conf (unexpectedly) is
> not re-created,

Just to note, it is not unexpected ... generally Xorg should work without xorg.conf and configure itself automatically. If you remove xorg.conf (or rename it to something nonsensical), what happens when you reboot computer?

Please attach (from both attempt with and without xorg.conf)

* /etc/X11/xorg.conf, when available,
* output of the dmesg command,
* system log (/var/log/messages), and
* X server log file (/var/log/Xorg.*.log)

to the bug report as individual uncompressed file attachments using the bugzilla file attachment link above.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 5 Aristeu Rozanski 2010-05-26 15:18:38 EDT
Patch(es) available on kernel-2.6.32-30.el6
Comment 8 Stan Showers 2010-07-14 22:30:19 EDT
RHEL 6 Beta 2 does indeed fix this for me!  Thank you!
Comment 9 releng-rhel@redhat.com 2010-11-15 09:25:01 EST
Red Hat Enterprise Linux 6.0 is now available and should resolve
the problem described in this bug report. This report is therefore being closed
with a resolution of CURRENTRELEASE. You may reopen this bug report if the
solution does not work for you.

Note You need to log in before you can comment on or make changes to this bug.